HelloWorldPlugin (SmartExecutor-HelloWorldPlugin 1.0.0-SNAPSHOT API)
Date: 2015-04-14

org.acme

## Class HelloWorldPlugin

- java.lang.Object
- - org.gcube.vremanagement.executor.plugin.Plugin<HelloWorldPluginDeclaration>
  - - org.acme.HelloWorldPlugin

-     public class HelloWorldPlugin
      extends org.gcube.vremanagement.executor.plugin.Plugin<HelloWorldPluginDeclaration>

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelloWorldPlugin(HelloWorldPluginDeclaration pluginDeclaration, org.gcube.vremanagement.executor.persistence.Persistence<? extends org.gcube.vremanagement.executor.persistence.PersistenceConnector> persistence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `launch(Map<String,Object> inputs)`
    `protected void` | `onStop()`

    - ### Methods inherited from class org.gcube.vremanagement.executor.plugin.Plugin

      `getPluginDeclaration, getState, setState, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelloWorldPlugin

          public HelloWorldPlugin(HelloWorldPluginDeclaration pluginDeclaration,
                          org.gcube.vremanagement.executor.persistence.Persistence<? extends org.gcube.vremanagement.executor.persistence.PersistenceConnector> persistence)

      Parameters:
        `runningPluginEvolution` -

  - ### Method Detail

    - #### launch

          public void launch(Map<String,Object> inputs)
                      throws Exception

      Specified by:
        `launch` in class `org.gcube.vremanagement.executor.plugin.Plugin<HelloWorldPluginDeclaration>`
      Throws:
        `Exception`

    - #### onStop

          protected void onStop()
                         throws Exception

      Specified by:
        `onStop` in class `org.gcube.vremanagement.executor.plugin.Plugin<HelloWorldPluginDeclaration>`
      Throws:
        `Exception`

Copyright © 2015. All Rights Reserved.